# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['funkwhale_api',
 'funkwhale_api.activity',
 'funkwhale_api.audio',
 'funkwhale_api.audio.migrations',
 'funkwhale_api.cli',
 'funkwhale_api.common',
 'funkwhale_api.common.management',
 'funkwhale_api.common.management.commands',
 'funkwhale_api.common.migrations',
 'funkwhale_api.common.scripts',
 'funkwhale_api.contrib',
 'funkwhale_api.contrib.listenbrainz',
 'funkwhale_api.contrib.maloja',
 'funkwhale_api.contrib.scrobbler',
 'funkwhale_api.contrib.sites',
 'funkwhale_api.contrib.sites.migrations',
 'funkwhale_api.favorites',
 'funkwhale_api.favorites.migrations',
 'funkwhale_api.federation',
 'funkwhale_api.federation.management',
 'funkwhale_api.federation.management.commands',
 'funkwhale_api.federation.migrations',
 'funkwhale_api.history',
 'funkwhale_api.history.migrations',
 'funkwhale_api.instance',
 'funkwhale_api.manage',
 'funkwhale_api.moderation',
 'funkwhale_api.moderation.management',
 'funkwhale_api.moderation.management.commands',
 'funkwhale_api.moderation.migrations',
 'funkwhale_api.music',
 'funkwhale_api.music.management',
 'funkwhale_api.music.management.commands',
 'funkwhale_api.music.migrations',
 'funkwhale_api.musicbrainz',
 'funkwhale_api.playlists',
 'funkwhale_api.playlists.migrations',
 'funkwhale_api.providers',
 'funkwhale_api.radios',
 'funkwhale_api.radios.migrations',
 'funkwhale_api.requests',
 'funkwhale_api.requests.migrations',
 'funkwhale_api.subsonic',
 'funkwhale_api.tags',
 'funkwhale_api.tags.migrations',
 'funkwhale_api.taskapp',
 'funkwhale_api.users',
 'funkwhale_api.users.migrations',
 'funkwhale_api.users.oauth']

package_data = \
{'': ['*'],
 'funkwhale_api': ['static/images/*',
                   'static/music/*',
                   'templates/account/email/*',
                   'templates/registration/*']}

install_requires = \
['Django==3.2.16',
 'Markdown==3.4.1',
 'Pillow==9.3.0',
 'PyLD==2.0.3',
 'aiohttp==3.8.3',
 'arrow==1.2.3',
 'asgiref==3.5.2',
 'bleach==5.0.1',
 'boto3==1.25.4',
 'celery==5.2.7',
 'channels-redis==3.4.1',
 'channels==3.0.5',
 'click==8.1.3',
 'cryptography==37.0.4',
 'dj-rest-auth[with-social]==2.2.5',
 'django-allauth==0.42.0',
 'django-auth-ldap==4.1.0',
 'django-cache-memoize==0.1.10',
 'django-cacheops==6.1',
 'django-cleanup==6.0.0',
 'django-cors-headers==3.13.0',
 'django-dynamic-preferences==1.14.0',
 'django-environ==0.9.0',
 'django-filter==22.1',
 'django-oauth-toolkit==1.7.1',
 'django-redis==5.2.0',
 'django-storages==1.13.1',
 'django-versatileimagefield==2.2',
 'djangorestframework==3.13.1',
 'drf-spectacular==0.23.1',
 'feedparser==6.0.10',
 'gunicorn==20.1.0',
 'ipython==7.34.0',
 'kombu==5.2.4',
 'musicbrainzngs==0.7.1',
 'mutagen==1.45.1',
 'persisting-theory==1.0',
 'pluralizer==1.2.0',
 'psycopg2==2.9.5',
 'pyOpenSSL==21.0.0',
 'pydub==0.25.1',
 'python-ldap==3.4.3',
 'python-magic==0.4.27',
 'pytz==2022.2.1',
 'redis==4.3.4',
 'requests-http-message-signatures==0.3.1',
 'requests==2.28.1',
 'sentry-sdk==1.9.8',
 'service-identity==21.1.0',
 'unicode-slugify==0.1.5',
 'uvicorn[standard]==0.18.3',
 'watchdog==2.1.9']

extras_require = \
{':python_full_version <= "3.7.0"': ['importlib_metadata==4.13.0']}

setup_kwargs = {
    'name': 'funkwhale-api',
    'version': '1.2.8',
    'description': '',
    'long_description': 'None',
    'author': 'Funkwhale Collective',
    'author_email': 'None',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
